{% extends "users/userspace.html" %}

{% load template_utils %}

{% block content %}
    <div class="container py-4">
        <h1>S'inscrire à des distributions</h1>
        <h5>Règlement des commandes</h5>

        <div class="w-100 d-flex justify-content-end  my-3">
            <a href="{% url 'finalisation_inscription' id_groupe=id_groupe %}" class="btn btn-success">
                Continuer
            </a>
        </div>

        <div class="alert alert-warning">
            <i class="fas fa-exclamation-triangle"></i> ATTENTION ! Ton contrat n'est pas encore validé, continue le processus jusqu'au bout en cliquant sur continuer.
        </div>

        {% if request.user.essai_gratuit and not request.user.adherent %}
        <div class="alert alert-danger">
            <i class="fas fa-exclamation-triangle"></i> ATTENTION: En passant cette commande, <b>tu vas consommer ta période d'essai sans adhésion</b>. Assure-toi d'avoir
            commandé tout ce que tu souhaites essayer, afin de ne pas te retrouver forcé.e d'adhérer.
        </div>
        {% endif %}

        {% if form.errors %}
            <div class="alert alert-danger" role="alert">
                {% for fieldname, errors in form.errors.items %}
                    {% if fieldname == "__all__" %}
                        Problèmes :
                    {% else %}
                        {{ fieldname }} :
                    {% endif %}
                    <ul>
                        {% for error in errors %}
                            <li>{{ error }}</li>
                        {% endfor %}
                    </ul>
                {% endfor %}
            </div>
        {% endif %}

        {% for contrat in contrats %}
            <article class="mb-5">
                <h3>{{ contrat.ferme.nom }}</h3>

                <p class="fw-bold">
                    Montant total de la commande : {{ contrat.valeur_totale|floatformat:2 }} €
                </p>

                <h5>Mode de règlement :</h5>

                {{ contrat.ferme.infos_paiement_html | safe }}
            </article>
        {% endfor %}

        <div class="w-100 d-flex justify-content-end  my-3">
            <a href="{% url 'finalisation_inscription' id_groupe=id_groupe %}" class="btn btn-success">
                Continuer
            </a>
        </div>
    </div>
{% endblock %}
